package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.entity.BaseVehicle;
import com.ozs.entity.vo.BaseVehicleVo;

/**
 * <p>
 * 机车信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface BaseVehicleService extends IService<BaseVehicle> {

    IPage<BaseVehicle> vehicleList(BaseVehicleVo baseVehicle);

    AjaxResult vehicleAdd(BaseVehicle baseVehicle, String userId);

    AjaxResult vehicleUpdate(BaseVehicle baseVehicle, String userId);
}
